package com.jasamedika.medifirst2000.vo;

import java.util.ArrayList;
import java.util.Date;
import java.util.HashSet;
import java.util.List;
import java.util.Set;
import javax.persistence.*;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;

import com.fasterxml.jackson.annotation.JsonBackReference;
import javax.validation.constraints.NotNull;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * class OrderProdukVOVO
 * 
 * @author Generator
 */
 
public class OrderProdukGiziVO extends BaseTransactionVO {
	@ManyToOne
	@JoinColumn(name = "AntrianPasienDiPeriksaFk")
	@Caption(value = "AntrianPasienDiPeriksa")
	private AntrianPasienDiPeriksaVO antrianPasienDiPeriksa;

	@ManyToOne
	@JoinColumn(name = "RuanganFk")
	@Caption(value = "Ruangan")
	private RuanganVO ruanganAsal;

	@ManyToOne
	@JoinColumn(name = "StrukOrderFk")
	@Caption(value = "Struk Order")
	private StrukOrderVO strukOrder;

	@ManyToOne
	@JoinColumn(name = "OrderPelayananFk")
	@Caption(value = "Order Pelayanan")
	private OrderPelayananVO orderPelayanan;

	@Column(name = "keteranganOrder")	
	@Caption(value = "keteranganOrder")
	private String keteranganOrder;
	
	@ManyToOne
	@JoinColumn(name = "siklusGiziFk")
	@Caption(value = "siklusGizi")
	private SiklusGiziVO siklusGizi;
	
	@OneToMany
	private Set<SiklusGiziVO> menuTambahan=new HashSet<SiklusGiziVO>();

	@OneToMany
	private Set<AntrianPasienDiPeriksaVO> antrianPasien=new HashSet<AntrianPasienDiPeriksaVO>();

	@OneToMany
	private Set<ProdukVO> produks=new HashSet<ProdukVO>();

	@OneToMany
	private Set<StrukOrderVO> strukOrders=new HashSet<StrukOrderVO>();

	@OneToMany
	private Set<ProdukVO> produkBahans=new HashSet<ProdukVO>();

	@OneToMany
	private Set<OrderPelayananVO> orderPelayanans=new HashSet<OrderPelayananVO>();

	@Column(name = "tanggalPelayanan")	
	@Caption(value = "tanggalPelayanan")
	private Date tanggalPelayanan;

	public String getKeteranganOrder() {
		return keteranganOrder;
	}

	public void setKeteranganOrder(String keteranganOrder) {
		this.keteranganOrder = keteranganOrder;
	}

	public RuanganVO getRuanganAsal() {
		return ruanganAsal;
	}

	public void setRuanganAsal(RuanganVO ruanganAsal) {
		this.ruanganAsal = ruanganAsal;
	}

	public StrukOrderVO getStrukOrder() {
		return strukOrder;
	}

	public void setStrukOrder(StrukOrderVO strukOrder) {
		this.strukOrder = strukOrder;
	}

	public OrderPelayananVO getOrderPelayanan() {
		return orderPelayanan;
	}

	public void setOrderPelayanan(OrderPelayananVO orderPelayanan) {
		this.orderPelayanan = orderPelayanan;
	}

	public AntrianPasienDiPeriksaVO getAntrianPasienDiPeriksa() {
		return antrianPasienDiPeriksa;
	}

	public void setAntrianPasienDiPeriksa(AntrianPasienDiPeriksaVO antrianPasienDiPeriksa) {
		this.antrianPasienDiPeriksa = antrianPasienDiPeriksa;
	}

	public SiklusGiziVO getSiklusGizi() {
		return siklusGizi;
	}

	public void setSiklusGizi(SiklusGiziVO siklusGizi) {
		this.siklusGizi = siklusGizi;
	}

	public Set<SiklusGiziVO> getMenuTambahan() {
		return menuTambahan;
	}

	public void setMenuTambahan(Set<SiklusGiziVO> menuTambahan) {
		this.menuTambahan = menuTambahan;
	}

	public Set<AntrianPasienDiPeriksaVO> getAntrianPasien() {
		return antrianPasien;
	}

	public void setAntrianPasien(Set<AntrianPasienDiPeriksaVO> antrianPasien) {
		this.antrianPasien = antrianPasien;
	}

	public Date getTanggalPelayanan() {
		return tanggalPelayanan;
	}

	public void setTanggalPelayanan(Date tanggalPelayanan) {
		this.tanggalPelayanan = tanggalPelayanan;
	}

	public Set<ProdukVO> getProduks() {
		return produks;
	}

	public void setProduks(Set<ProdukVO> produks) {
		this.produks = produks;
	}

	public Set<StrukOrderVO> getStrukOrders() {
		return strukOrders;
	}

	public void setStrukOrders(Set<StrukOrderVO> strukOrders) {
		this.strukOrders = strukOrders;
	}

	public Set<ProdukVO> getProdukBahans() {
		return produkBahans;
	}

	public void setProdukBahans(Set<ProdukVO> produkBahans) {
		this.produkBahans = produkBahans;
	}

	public Set<OrderPelayananVO> getOrderPelayanans() {
		return orderPelayanans;
	}

	public void setOrderPelayanans(Set<OrderPelayananVO> orderPelayanans) {
		this.orderPelayanans = orderPelayanans;
	}
}